Skip to main content
GET
/
gpus
/
v2
/
instances
/
{instance_id}
Get Instance
curl --request GET \
  --url https://api.novita.ai/gpus/v2/instances/{instance_id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.novita.ai/gpus/v2/instances/{instance_id}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://api.novita.ai/gpus/v2/instances/{instance_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "ca338f12f3",
  "name": "example-instance",
  "type": "gpu",
  "product_id": "product-id",
  "image": "registry.example.com/namespace/image:tag",
  "registry_auth_id": "registry-auth-id",
  "entrypoint": "",
  "command": "",
  "billing": {
    "mode": "prepaid",
    "prepaid": {
      "months": 1,
      "end_time": 1714464000,
      "auto_renew": {
        "enabled": true,
        "months": 1,
        "status": "active"
      }
    }
  },
  "envs": [
    {
      "key": "ENV_NAME",
      "value": "ENV_VALUE"
    }
  ],
  "ports": [
    {
      "port": 8080,
      "protocol": "tcp",
      "endpoint": "http://1.2.3.4:8080"
    }
  ],
  "resource_specs": {
    "rootfs_size_gb": 20,
    "gpu_num": 1,
    "cpu_num": 8,
    "memory_gb": 32,
    "gpu_ids": [
      0
    ]
  },
  "network": {
    "id": "vpc-550e8400-e29b-41d4-a716-446655440000",
    "ip": "10.2.1.1"
  },
  "volumes": [
    {
      "type": "network",
      "id": "network-storage-id",
      "mount_point": "/data"
    }
  ],
  "region": "region-id",
  "tools": {
    "jupyter": {
      "endpoint": "https://jupyter.example.com/instance/ca338f12f3",
      "enabled": true,
      "port": 8888
    },
    "ssh": {
      "command": "ssh -p 51039 root@proxy.cn-south-nas-1.gpu-instance.novita.ai",
      "password": "xxx",
      "username": "xxx"
    },
    "web_terminal": {
      "endpoint": "wss://terminal.example.com/instance/ca338f12f3",
      "enabled": true,
      "username": "root",
      "password": "xxx"
    },
    "log": {
      "instance_endpoint": "https://log.example.com/system/ca338f12f3",
      "system_endpoint": "https://log.example.com/instance/ca338f12f3"
    }
  },
  "auto_migrate": {
    "enabled": false,
    "include_system_disk": false
  },
  "status": {
    "status": "running",
    "error": "",
    "message": ""
  },
  "pricing": {
    "instance_price": 100,
    "instance_base_price": 120,
    "rootfs_storage_price": 10,
    "prepaid": {
      "monthly_price": [
        {
          "price": 1000,
          "base_price": 1200,
          "month": 1,
          "price_precision": 2,
          "month_spec_id": "spec-1m"
        }
      ]
    },
    "spot": {
      "spot_status": "<string>",
      "spot_reclaim_time": 123
    }
  },
  "created_at": 1714464000,
  "last_started_at": 1714467600,
  "last_stopped_at": 0,
  "member_id": "member-id",
  "owner_id": "550e8400-e29b-41d4-a716-446655440000",
  "region_version": "v1.0"
}

Headers

Authorization
string
required

Bearer authentication format, e.g.: Bearer {{API_KEY}}.

Path Parameters

instance_id
string
required

Instance ID. String, length: 1-255 characters.

Response

200 - application/json

OK

id
string

Instance ID

Example:

"ca338f12f3"

name
string

Instance name

Example:

"example-instance"

type
enum<string>

Instance type. Allowed values: gpu, cpu

Available options:
gpu,
cpu
Example:

"gpu"

product_id
string

Product ID

Example:

"product-id"

image
string

Image address

Example:

"registry.example.com/namespace/image:tag"

registry_auth_id
string

Registry authentication ID

Example:

"registry-auth-id"

entrypoint
string

Container entrypoint

Example:

""

command
string

Container startup command

Example:

""

billing
object

Billing configuration

envs
object[]

Environment variable list

ports
object[]

Exposed port list

resource_specs
object

Resource specification (with system-allocated info)

network
object

VPC network configuration

volumes
object[]

Data disk / network storage mounts

region
string

Region of the instance

Example:

"region-id"

tools
object

Instance tool information

auto_migrate
object

Auto-migrate configuration

status
object

Instance status information

pricing
object

Pricing information

created_at
integer

Creation time. Unix timestamp

Example:

1714464000

last_started_at
integer

Last start time. Unix timestamp

Example:

1714467600

last_stopped_at
integer

Last stop time. Unix timestamp

Example:

0

member_id
string

Creator member ID

Example:

"member-id"

owner_id
string

Owner user ID (team owner UUID)

Example:

"550e8400-e29b-41d4-a716-446655440000"

region_version
string

Instance version

Example:

"v1.0"

Last modified on June 26, 2026